Index: src/interfaces/libpq/fe-connect.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/interfaces/libpq/fe-connect.c,v
retrieving revision 1.262
diff -c -r1.262 fe-connect.c
*** src/interfaces/libpq/fe-connect.c	2 Oct 2003 19:52:44 -0000	1.262
--- src/interfaces/libpq/fe-connect.c	18 Oct 2003 03:31:38 -0000
***************
*** 2003,2010 ****
--- 2003,2022 ----
  static void
  freePGconn(PGconn *conn)
  {
+ 	pgParameterStatus *pstatus;
+ 	pgParameterStatus *prev;
+ 
  	if (!conn)
  		return;
+ 
+ 	pstatus = conn->pstatus;
+ 	while (pstatus != NULL)
+ 	{
+ 		prev = pstatus;
+ 		pstatus = prev->next;
+ 		free(prev);
+ 	}
+ 
  	pqClearAsyncResult(conn);	/* deallocate result and curTuple */
  	if (conn->sock >= 0)
  	{
